Skip to main content
GET
/
api
/
v1
/
instances
List the caller's instances
curl --request GET \
  --url https://openapi.beeos.ai/api/v1/instances \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "ownerId": "<string>",
      "agentFramework": "<string>",
      "providerId": "<string>",
      "externalId": "<string>",
      "osType": "<string>",
      "hostingType": "<string>",
      "cloudProvider": "<string>",
      "name": "<string>",
      "modelPrimary": "<string>",
      "models": [
        "<string>"
      ],
      "status": "<string>",
      "desiredStatus": "<string>",
      "endpoint": "<string>",
      "bridgeId": "<string>",
      "identityId": "<string>",
      "totalRunSeconds": 123,
      "connectivity": "<string>",
      "providerConfig": {},
      "haltReason": "<string>",
      "publicIp": "<string>",
      "clusterId": "<string>",
      "region": "<string>",
      "imageId": "<string>",
      "imageRef": "<string>",
      "isTrial": true,
      "expiresAt": "2023-11-07T05:31:56Z",
      "errorMessage": "<string>",
      "systemPrompt": "<string>",
      "mcpServers": {},
      "startedAt": "2023-11-07T05:31:56Z",
      "stoppedAt": "2023-11-07T05:31:56Z",
      "statusEnteredAt": "2023-11-07T05:31:56Z",
      "connectivityUpdatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "screenshotUrl": "<string>",
      "screenshotUpdatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Pass a user JWT or a oag_ User API Key on the Authorization: Bearer <token> header. Both are validated by openapi-gateway against the Auth service.

Query Parameters

page
integer<int32>
Required range: x >= 0
pageSize
integer<int32>
Required range: 0 <= x <= 200
status
string
providerId
string
agentFramework
string
clusterId
string

Response

200 - application/json

Paginated list of instances ({ success, data, total }).

success
boolean
required
data
object[]
required
total
integer<int64>